GUIX(1)

NAME
guix - manual page for guix repl (GNU Guix) 1.4.0rc2

SYNOPSIS
guix repl [OPTIONS...] [-- FILE ARGS...]

DESCRIPTION
In the Guix execution environment, run FILE as a Guile script with command-line arguments ARGS. If no FILE is given, start a Guile REPL.

-t, --type=TYPE
    start a REPL of the given TYPE

--listen=ENDPOINT
    listen to ENDPOINT instead of standard input

-q  inhibit loading of ~/.guile

-L, --load-path=DIR
    prepend DIR to the package module search path

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2022 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.